# Keys ## List tag keys `client.resourceTagging.keys.list(KeyListParamsparams, RequestOptionsoptions?): CursorPaginationAfter` **get** `/accounts/{account_id}/tags/keys` Lists all distinct tag keys used across resources in an account. ### Parameters - `params: KeyListParams` - `account_id: string` Path param: Identifier. - `cursor?: string` Query param: Cursor for pagination. ### Returns - `KeyListResponse = string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const keyListResponse of client.resourceTagging.keys.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(keyListResponse); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ "environment", "team", "region" ], "result_info": { "count": 20, "cursor": "eyJhY2NvdW50X2lkIjoxMjM0NTY3ODkwfQ" } } ``` ## Domain Types ### Key List Response - `KeyListResponse = string`